﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup>
    <Filter Include="Source Files">
      <UniqueIdentifier>{e7d59bc4-af0d-42fb-80c4-0a3810d10b3b}</UniqueIdentifier>
      <Extensions>cpp;c;cxx;rc;def;r;odl;hpj;bat;for;f90</Extensions>
    </Filter>
    <Filter Include="Source Files\Common sources">
      <UniqueIdentifier>{eff72727-f56f-4f0e-afac-b202a832273c}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files">
      <UniqueIdentifier>{40c44e31-3be4-44a9-8aef-92eb0d62e66c}</UniqueIdentifier>
      <Extensions>h;hpp;hxx;hm;inl;fi;fd</Extensions>
    </Filter>
    <Filter Include="Header Files\Common headers">
      <UniqueIdentifier>{b1b59106-4305-4614-9d3a-a199972e8e55}</UniqueIdentifier>
    </Filter>
    <Filter Include="Class Files">
      <UniqueIdentifier>{d652878a-c578-4041-b62b-f0edb3642a60}</UniqueIdentifier>
      <Extensions>es</Extensions>
    </Filter>
    <Filter Include="Class Files\AI">
      <UniqueIdentifier>{15e23bb9-693a-4bc5-884f-56deebba6370}</UniqueIdentifier>
      <Extensions>es</Extensions>
    </Filter>
    <Filter Include="Class Files\Brushes">
      <UniqueIdentifier>{a2bbac85-6836-400a-808a-fe3b3e2fc728}</UniqueIdentifier>
      <Extensions>es</Extensions>
    </Filter>
    <Filter Include="Class Files\Effects">
      <UniqueIdentifier>{2ae3f057-e63c-47f1-93e5-a85f7712842a}</UniqueIdentifier>
      <Extensions>es</Extensions>
    </Filter>
    <Filter Include="Class Files\Items">
      <UniqueIdentifier>{57aa098f-2862-44ef-a6cf-3bdc5620a09f}</UniqueIdentifier>
      <Extensions>es</Extensions>
    </Filter>
    <Filter Include="Class Files\Players">
      <UniqueIdentifier>{718f2278-5d32-45f7-af15-7e3aaf411822}</UniqueIdentifier>
      <Extensions>es</Extensions>
    </Filter>
    <Filter Include="Class Files\Weapons">
      <UniqueIdentifier>{306a9fdd-9552-40eb-b911-73bcd3cc4ef0}</UniqueIdentifier>
      <Extensions>es</Extensions>
    </Filter>
    <Filter Include="Header Files\Items headers">
      <UniqueIdentifier>{1673c461-9621-480e-bbd6-51af7cb8a6d4}</UniqueIdentifier>
    </Filter>
    <Filter Include="Class Files\Characters">
      <UniqueIdentifier>{47a8bdbd-52b8-416b-9d9c-242c38ddfae7}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files\Characters headers">
      <UniqueIdentifier>{5c9dc98e-80e5-46cd-b435-9b1619481134}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Characters sources">
      <UniqueIdentifier>{81800a8d-2f0e-43d8-801d-c1214eae41bc}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Items sources">
      <UniqueIdentifier>{d2124376-d302-4175-9618-50b54c54601c}</UniqueIdentifier>
    </Filter>
    <Filter Include="Class Files\Models">
      <UniqueIdentifier>{3d881350-9c6b-4ed1-8d06-795eb55baa28}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files\Models headers">
      <UniqueIdentifier>{c0be9013-65a9-4a6b-92d9-078ee81e30d5}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Models sources">
      <UniqueIdentifier>{cd28657b-a0e2-493e-a5ba-eae211800ce1}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files\Tools headers">
      <UniqueIdentifier>{d73849bb-c740-472f-884a-8d3fe9420891}</UniqueIdentifier>
    </Filter>
    <Filter Include="Class Files\Tools">
      <UniqueIdentifier>{666ad850-c6fd-4a22-b273-d205f89e035d}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Tools sources">
      <UniqueIdentifier>{d3954c67-a4ae-4391-9213-9ced8c1554c3}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Brushes sources">
      <UniqueIdentifier>{e4a693da-a2ff-487a-8a63-67ad5da31242}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files\Brushes headers">
      <UniqueIdentifier>{d0750d44-306d-4e44-b30e-1e5b6f917d7f}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files\Weapons headers">
      <UniqueIdentifier>{bc265f57-5f9e-46a6-9bf9-cc6650772462}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Weapons sources">
      <UniqueIdentifier>{f239d436-3179-4c15-8466-b57507ddf667}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Players sources">
      <UniqueIdentifier>{904604c3-d85e-4852-866e-5db9f52032ca}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files\Players headers">
      <UniqueIdentifier>{16476540-9b74-4776-9cec-f636834ca68c}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Effects sources">
      <UniqueIdentifier>{125b7098-7a29-4022-8593-a878a1407f89}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files\Effects headers">
      <UniqueIdentifier>{7170ad79-555f-40c8-8fa2-01ba176ddbe1}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\AI sources">
      <UniqueIdentifier>{3ae9ddfe-6555-45d7-83d8-b8a8a024d7e4}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files\AI headers">
      <UniqueIdentifier>{31d5972c-b020-4dab-a5d4-e3dcd18e07f3}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Light sources">
      <UniqueIdentifier>{38d42a9b-ed72-44b2-bf42-cce0ab08addb}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files\Light headers">
      <UniqueIdentifier>{c954b34e-3e97-431d-a215-b1da2406a507}</UniqueIdentifier>
    </Filter>
    <Filter Include="Class Files\Light">
      <UniqueIdentifier>{bf74f0db-6edd-4d9b-aa99-3766ca1c6061}</UniqueIdentifier>
    </Filter>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="Common\Common.cpp">
      <Filter>Source Files\Common sources</Filter>
    </ClCompile>
    <ClCompile Include="Common\EmanatingParticles.cpp">
      <Filter>Source Files\Common sources</Filter>
    </ClCompile>
    <ClCompile Include="Common\HUD.cpp">
      <Filter>Source Files\Common sources</Filter>
    </ClCompile>
    <ClCompile Include="Common\Particles.cpp">
      <Filter>Source Files\Common sources</Filter>
    </ClCompile>
    <ClCompile Include="Common\PathFinding.cpp">
      <Filter>Source Files\Common sources</Filter>
    </ClCompile>
    <ClCompile Include="StdH\StdH.cpp">
      <Filter>Source Files\Common sources</Filter>
    </ClCompile>
    <ClCompile Include="Global.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Pipebomb.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Terrain.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Common\StatusEffect.cpp">
      <Filter>Source Files\Common sources</Filter>
    </ClCompile>
    <ClCompile Include="Common\WeaponPositionParams.cpp">
      <Filter>Source Files\Common sources</Filter>
    </ClCompile>
    <ClCompile Include="Common\WeaponParams.cpp">
      <Filter>Source Files\Common sources</Filter>
    </ClCompile>
    <ClCompile Include="Items\AmmoItem.cpp">
      <Filter>Source Files\Items sources</Filter>
    </ClCompile>
    <ClCompile Include="Items\AmmoPack.cpp">
      <Filter>Source Files\Items sources</Filter>
    </ClCompile>
    <ClCompile Include="Items\ArmorItem.cpp">
      <Filter>Source Files\Items sources</Filter>
    </ClCompile>
    <ClCompile Include="Items\HealthItem.cpp">
      <Filter>Source Files\Items sources</Filter>
    </ClCompile>
    <ClCompile Include="Items\Item.cpp">
      <Filter>Source Files\Items sources</Filter>
    </ClCompile>
    <ClCompile Include="Items\KeyItem.cpp">
      <Filter>Source Files\Items sources</Filter>
    </ClCompile>
    <ClCompile Include="Items\MessageItem.cpp">
      <Filter>Source Files\Items sources</Filter>
    </ClCompile>
    <ClCompile Include="Items\PowerUpItem.cpp">
      <Filter>Source Files\Items sources</Filter>
    </ClCompile>
    <ClCompile Include="Items\WeaponItem.cpp">
      <Filter>Source Files\Items sources</Filter>
    </ClCompile>
    <ClCompile Include="Common\StatusEffectPool.cpp">
      <Filter>Source Files\Common sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Woman.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Werebull.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Walker.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\SummonerMarker.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Summoner.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Scorpman.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Santa.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Headman.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Guffy.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\GruntSka.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Grunt.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Gizmo.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Fish.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Eyeman.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\ExotechLarvaCharger.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\ExotechLarvaBattery.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\ExotechLarva.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Elemental.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\DevilMarker.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Devil.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Demon.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\CrateRider.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\ChainsawFreak.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\CannonStatic.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\CannonRotating.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Boneman.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\BigHead.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Beast.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\AirElemental.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\EnemyBase.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\EnemyDive.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\EnemyFly.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\EnemyMarker.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\EnemyRunInto.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Models\ModelHolder3.cpp">
      <Filter>Source Files\Models sources</Filter>
    </ClCompile>
    <ClCompile Include="Models\ModelHolder2.cpp">
      <Filter>Source Files\Models sources</Filter>
    </ClCompile>
    <ClCompile Include="Models\ModelHolder.cpp">
      <Filter>Source Files\Models sources</Filter>
    </ClCompile>
    <ClCompile Include="Models\ModelDestruction.cpp">
      <Filter>Source Files\Models sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\WorldLink.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\WorldInfo.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\VoiceHolder.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\Trigger.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\TouchField.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\TimeController.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\Teleport.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\Switch.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\SoundHolder.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\Shooter.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\ScrollHolder.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\MusicHolder.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\MusicChanger.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\MessageHolder.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\Marker.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\GravityRouter.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\GravityMarker.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\Eruptor.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\EnemySpawner.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\EnemyCounter.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\DoorController.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\DebugEntityStatesDisplay.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\Damager.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\Counter.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\Copier.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\CameraMarker.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\Camera.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\AreaMarker.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\AnimationHub.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\AnimationChanger.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\CreditsHolder.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\BackgroundViewer.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Brushes\WorldBase.cpp">
      <Filter>Source Files\Brushes sources</Filter>
    </ClCompile>
    <ClCompile Include="Brushes\ShipMarker.cpp">
      <Filter>Source Files\Brushes sources</Filter>
    </ClCompile>
    <ClCompile Include="Brushes\Ship.cpp">
      <Filter>Source Files\Brushes sources</Filter>
    </ClCompile>
    <ClCompile Include="Brushes\Pendulum.cpp">
      <Filter>Source Files\Brushes sources</Filter>
    </ClCompile>
    <ClCompile Include="Brushes\MovingBrushMarker.cpp">
      <Filter>Source Files\Brushes sources</Filter>
    </ClCompile>
    <ClCompile Include="Brushes\MovingBrush.cpp">
      <Filter>Source Files\Brushes sources</Filter>
    </ClCompile>
    <ClCompile Include="Brushes\DestroyableArchitecture.cpp">
      <Filter>Source Files\Brushes sources</Filter>
    </ClCompile>
    <ClCompile Include="Brushes\Bouncer.cpp">
      <Filter>Source Files\Brushes sources</Filter>
    </ClCompile>
    <ClCompile Include="Weapons\ElementalProjectile.cpp">
      <Filter>Source Files\Weapons sources</Filter>
    </ClCompile>
    <ClCompile Include="Weapons\Twister.cpp">
      <Filter>Source Files\Weapons sources</Filter>
    </ClCompile>
    <ClCompile Include="Weapons\SpawnerProjectile.cpp">
      <Filter>Source Files\Weapons sources</Filter>
    </ClCompile>
    <ClCompile Include="Weapons\SeriousBomb.cpp">
      <Filter>Source Files\Weapons sources</Filter>
    </ClCompile>
    <ClCompile Include="Weapons\Projectile.cpp">
      <Filter>Source Files\Weapons sources</Filter>
    </ClCompile>
    <ClCompile Include="Weapons\LarvaOffspring.cpp">
      <Filter>Source Files\Weapons sources</Filter>
    </ClCompile>
    <ClCompile Include="Weapons\Flame.cpp">
      <Filter>Source Files\Weapons sources</Filter>
    </ClCompile>
    <ClCompile Include="Weapons\DevilProjectile.cpp">
      <Filter>Source Files\Weapons sources</Filter>
    </ClCompile>
    <ClCompile Include="Weapons\BallProjectile.cpp">
      <Filter>Source Files\Weapons sources</Filter>
    </ClCompile>
    <ClCompile Include="Weapons\Bullet.cpp">
      <Filter>Source Files\Weapons sources</Filter>
    </ClCompile>
    <ClCompile Include="Weapons\AirShockwave.cpp">
      <Filter>Source Files\Weapons sources</Filter>
    </ClCompile>
    <ClCompile Include="Tools\WatchPlayers.cpp">
      <Filter>Source Files\Tools sources</Filter>
    </ClCompile>
    <ClCompile Include="Players\PlayerWeaponsEffects.cpp">
      <Filter>Source Files\Players sources</Filter>
    </ClCompile>
    <ClCompile Include="Players\PlayerWeapon.cpp">
      <Filter>Source Files\Players sources</Filter>
    </ClCompile>
    <ClCompile Include="Players\PlayerView.cpp">
      <Filter>Source Files\Players sources</Filter>
    </ClCompile>
    <ClCompile Include="Players\PlayerMarker.cpp">
      <Filter>Source Files\Players sources</Filter>
    </ClCompile>
    <ClCompile Include="Players\PlayerInventory.cpp">
      <Filter>Source Files\Players sources</Filter>
    </ClCompile>
    <ClCompile Include="Players\PlayerAnimator.cpp">
      <Filter>Source Files\Players sources</Filter>
    </ClCompile>
    <ClCompile Include="Players\PlayerActionMarker.cpp">
      <Filter>Source Files\Players sources</Filter>
    </ClCompile>
    <ClCompile Include="Players\GameInfo.cpp">
      <Filter>Source Files\Players sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\WorldSettingsController.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\TextFXHolder.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\StormController.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\RollingStone.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\PyramidSpaceShipMarker.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\PyramidSpaceShip.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\PhotoAlbum.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\ParticlesHolder.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\ParticleCloudsMarker.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\ParticleCloudsHolder.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\MirrorMarker.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\MeteorShower.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\Lightning.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\HudPicHolder.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\HazeMarker.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\GradientMarker.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\FogMarker.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\Fireworks.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\EnvironmentParticlesHolder.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\Effector.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\EffectMarker.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\Debris.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\CrateBus.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\BloodSpray.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\BlendController.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="Effects\BasicEffects.cpp">
      <Filter>Source Files\Effects sources</Filter>
    </ClCompile>
    <ClCompile Include="AI\Watcher.cpp">
      <Filter>Source Files\AI sources</Filter>
    </ClCompile>
    <ClCompile Include="AI\TacticsHolder.cpp">
      <Filter>Source Files\AI sources</Filter>
    </ClCompile>
    <ClCompile Include="AI\TacticsChanger.cpp">
      <Filter>Source Files\AI sources</Filter>
    </ClCompile>
    <ClCompile Include="AI\Spinner.cpp">
      <Filter>Source Files\AI sources</Filter>
    </ClCompile>
    <ClCompile Include="AI\Reminder.cpp">
      <Filter>Source Files\AI sources</Filter>
    </ClCompile>
    <ClCompile Include="AI\NavigationMarker.cpp">
      <Filter>Source Files\AI sources</Filter>
    </ClCompile>
    <ClCompile Include="Weapons\ProjectileBase.cpp">
      <Filter>Source Files\Weapons sources</Filter>
    </ClCompile>
    <ClCompile Include="Models\EnvironmentBase.cpp">
      <Filter>Source Files\Models sources</Filter>
    </ClCompile>
    <ClCompile Include="Models\EnvironmentMarker.cpp">
      <Filter>Source Files\Models sources</Filter>
    </ClCompile>
    <ClCompile Include="Players\PlayerController.cpp">
      <Filter>Source Files\Players sources</Filter>
    </ClCompile>
    <ClCompile Include="Players\SpectatorPawn.cpp">
      <Filter>Source Files\Players sources</Filter>
    </ClCompile>
    <ClCompile Include="Players\PlayerPawn.cpp">
      <Filter>Source Files\Players sources</Filter>
    </ClCompile>
    <ClCompile Include="Light\Light.cpp">
      <Filter>Source Files\Light sources</Filter>
    </ClCompile>
    <ClCompile Include="Items\TreasureItem.cpp">
      <Filter>Source Files\Items sources</Filter>
    </ClCompile>
    <ClCompile Include="Weapons\EnergyBeam.cpp">
      <Filter>Source Files\Weapons sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Catman.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Cyborg.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\CyborgBike.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Fishman.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Huanman.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Mamut.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Mamutman.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\RobotDriving.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\RobotFlying.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Dragonman.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Characters\Mantaman.cpp">
      <Filter>Source Files\Characters sources</Filter>
    </ClCompile>
    <ClCompile Include="Weapons\AirWave.cpp">
      <Filter>Source Files\Weapons sources</Filter>
    </ClCompile>
    <ClCompile Include="Models\MovableSkaModel.cpp">
      <Filter>Source Files\Models sources</Filter>
    </ClCompile>
    <ClCompile Include="Common\StackableItemContainer.cpp">
      <Filter>Source Files\Common sources</Filter>
    </ClCompile>
    <ClCompile Include="Common\Items.cpp">
      <Filter>Source Files\Common sources</Filter>
    </ClCompile>
    <ClCompile Include="Common\StackableItemInstance.cpp">
      <Filter>Source Files\Common sources</Filter>
    </ClCompile>
    <ClCompile Include="Common\WeaponItemInstance.cpp">
      <Filter>Source Files\Common sources</Filter>
    </ClCompile>
    <ClCompile Include="Common\StatusEffectInstance.cpp">
      <Filter>Source Files\Common sources</Filter>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="Common\Common.h">
      <Filter>Header Files\Common headers</Filter>
    </ClInclude>
    <ClInclude Include="Common\Flags.h">
      <Filter>Header Files\Common headers</Filter>
    </ClInclude>
    <ClInclude Include="Common\GameInterface.h">
      <Filter>Header Files\Common headers</Filter>
    </ClInclude>
    <ClInclude Include="Common\Particles.h">
      <Filter>Header Files\Common headers</Filter>
    </ClInclude>
    <ClInclude Include="Common\PathFinding.h">
      <Filter>Header Files\Common headers</Filter>
    </ClInclude>
    <ClInclude Include="StdH\StdH.h">
      <Filter>Header Files\Common headers</Filter>
    </ClInclude>
    <ClInclude Include="Common\WeaponPositions.h">
      <Filter>Header Files\Common headers</Filter>
    </ClInclude>
    <ClInclude Include="Global.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Global_tables.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Terrain.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Terrain_tables.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Common\ItemStack.h">
      <Filter>Header Files\Common headers</Filter>
    </ClInclude>
    <ClInclude Include="Common\Inventory.h">
      <Filter>Header Files\Common headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\HealthItem.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\HealthItem_tables.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\WeaponItem_tables.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\WeaponItem.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\PowerUpItem_tables.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\PowerUpItem.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\MessageItem.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\MessageItem_tables.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\KeyItem.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\KeyItem_tables.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\Item_tables.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\Item.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\ArmorItem.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\ArmorItem_tables.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\AmmoPack.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\AmmoPack_tables.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\AmmoItem.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\AmmoItem_tables.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Woman.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Woman_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Werebull_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Werebull.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Walker_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Walker.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\SummonerMarker.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\SummonerMarker_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Summoner_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Summoner.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Scorpman_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Scorpman.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Santa_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Santa.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Headman.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Headman_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Guffy.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Guffy_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\GruntSka_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\GruntSka.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Grunt.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Grunt_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Gizmo_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Gizmo.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Fish_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Fish.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Eyeman.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Eyeman_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\ExotechLarvaCharger.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\ExotechLarvaCharger_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\ExotechLarvaBattery_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\ExotechLarvaBattery.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\ExotechLarva_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\ExotechLarva.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Elemental_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Elemental.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\DevilMarker_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\DevilMarker.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Devil_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Devil.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Demon.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Demon_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\CrateRider_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\CrateRider.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\ChainsawFreak_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\ChainsawFreak.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\CannonStatic_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\CannonStatic.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\CannonRotating_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\CannonRotating.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Boneman_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Boneman.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\BigHead.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\BigHead_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Beast_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Beast.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\AirElemental_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\AirElemental.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\EnemyBase.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\EnemyBase_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\EnemyDive.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\EnemyDive_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\EnemyFly.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\EnemyFly_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\EnemyMarker.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\EnemyMarker_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\EnemyRunInto.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\EnemyRunInto_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Models\ModelHolder3.h">
      <Filter>Header Files\Models headers</Filter>
    </ClInclude>
    <ClInclude Include="Models\ModelHolder3_tables.h">
      <Filter>Header Files\Models headers</Filter>
    </ClInclude>
    <ClInclude Include="Models\ModelHolder2.h">
      <Filter>Header Files\Models headers</Filter>
    </ClInclude>
    <ClInclude Include="Models\ModelHolder2_tables.h">
      <Filter>Header Files\Models headers</Filter>
    </ClInclude>
    <ClInclude Include="Models\ModelHolder.h">
      <Filter>Header Files\Models headers</Filter>
    </ClInclude>
    <ClInclude Include="Models\ModelHolder_tables.h">
      <Filter>Header Files\Models headers</Filter>
    </ClInclude>
    <ClInclude Include="Models\ModelDestruction.h">
      <Filter>Header Files\Models headers</Filter>
    </ClInclude>
    <ClInclude Include="Models\ModelDestruction_tables.h">
      <Filter>Header Files\Models headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\WorldLink.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\WorldLink_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\WorldInfo_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\WorldInfo.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\VoiceHolder_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\VoiceHolder.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Trigger_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Trigger.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\TouchField_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\TouchField.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\TimeController.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\TimeController_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Teleport_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Teleport.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Switch_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Switch.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\SoundHolder_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\SoundHolder.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Shooter_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Shooter.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\ScrollHolder_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\ScrollHolder.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\MusicHolder_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\MusicHolder.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\MusicChanger_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\MusicChanger.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\MessageHolder_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\MessageHolder.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Marker_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Marker.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\GravityRouter_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\GravityRouter.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\GravityMarker_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\GravityMarker.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Eruptor_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Eruptor.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\EnemySpawner_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\EnemySpawner.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\EnemyCounter_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\EnemyCounter.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\DoorController_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\DoorController.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\DebugEntityStatesDisplay_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\DebugEntityStatesDisplay.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Damager_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Damager.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\CreditsHolder_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\CreditsHolder.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Counter_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Counter.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Copier_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Copier.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\CameraMarker_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\CameraMarker.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Camera_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\Camera.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\BackgroundViewer_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\BackgroundViewer.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\AreaMarker.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\AreaMarker_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\AnimationHub_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\AnimationHub.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\AnimationChanger_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\AnimationChanger.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Brushes\WorldBase_tables.h">
      <Filter>Header Files\Brushes headers</Filter>
    </ClInclude>
    <ClInclude Include="Brushes\WorldBase.h">
      <Filter>Header Files\Brushes headers</Filter>
    </ClInclude>
    <ClInclude Include="Brushes\ShipMarker_tables.h">
      <Filter>Header Files\Brushes headers</Filter>
    </ClInclude>
    <ClInclude Include="Brushes\ShipMarker.h">
      <Filter>Header Files\Brushes headers</Filter>
    </ClInclude>
    <ClInclude Include="Brushes\Ship_tables.h">
      <Filter>Header Files\Brushes headers</Filter>
    </ClInclude>
    <ClInclude Include="Brushes\Ship.h">
      <Filter>Header Files\Brushes headers</Filter>
    </ClInclude>
    <ClInclude Include="Brushes\Pendulum_tables.h">
      <Filter>Header Files\Brushes headers</Filter>
    </ClInclude>
    <ClInclude Include="Brushes\Pendulum.h">
      <Filter>Header Files\Brushes headers</Filter>
    </ClInclude>
    <ClInclude Include="Brushes\MovingBrushMarker_tables.h">
      <Filter>Header Files\Brushes headers</Filter>
    </ClInclude>
    <ClInclude Include="Brushes\MovingBrushMarker.h">
      <Filter>Header Files\Brushes headers</Filter>
    </ClInclude>
    <ClInclude Include="Brushes\MovingBrush_tables.h">
      <Filter>Header Files\Brushes headers</Filter>
    </ClInclude>
    <ClInclude Include="Brushes\MovingBrush.h">
      <Filter>Header Files\Brushes headers</Filter>
    </ClInclude>
    <ClInclude Include="Brushes\DestroyableArchitecture_tables.h">
      <Filter>Header Files\Brushes headers</Filter>
    </ClInclude>
    <ClInclude Include="Brushes\DestroyableArchitecture.h">
      <Filter>Header Files\Brushes headers</Filter>
    </ClInclude>
    <ClInclude Include="Brushes\Bouncer_tables.h">
      <Filter>Header Files\Brushes headers</Filter>
    </ClInclude>
    <ClInclude Include="Brushes\Bouncer.h">
      <Filter>Header Files\Brushes headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\ElementalProjectile.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\ElementalProjectile_tables.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\Twister_tables.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\Twister.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\SpawnerProjectile_tables.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\SpawnerProjectile.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\SeriousBomb.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\SeriousBomb_tables.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\Projectile_tables.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\Projectile.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\LarvaOffspring_tables.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\LarvaOffspring.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\Flame_tables.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\Flame.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\DevilProjectile_tables.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\DevilProjectile.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\BallProjectile_tables.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\BallProjectile.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\Bullet_tables.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\Bullet.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\AirShockwave_tables.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\AirShockwave.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\WatchPlayers.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Tools\WatchPlayers_tables.h">
      <Filter>Header Files\Tools headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerWeaponsEffects_tables.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerWeaponsEffects.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerWeapon.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerWeapon_tables.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerView_tables.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerView.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerMarker_tables.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerMarker.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerInventory_tables.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerInventory.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerAnimator.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerAnimator_tables.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerActionMarker.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerActionMarker_tables.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\GameInfo.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\GameInfo_tables.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Common\EmanatingParticles.h">
      <Filter>Header Files\Common headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\WorldSettingsController.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\WorldSettingsController_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\TextFXHolder_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\TextFXHolder.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\StormController.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\StormController_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\RollingStone_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\RollingStone.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\PyramidSpaceShipMarker.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\PyramidSpaceShipMarker_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\PyramidSpaceShip_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\PyramidSpaceShip.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\PhotoAlbum_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\PhotoAlbum.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\ParticlesHolder.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\ParticlesHolder_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\ParticleCloudsMarker_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\ParticleCloudsMarker.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\ParticleCloudsHolder.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\ParticleCloudsHolder_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\MirrorMarker_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\MirrorMarker.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\MeteorShower.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\MeteorShower_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\Lightning.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\Lightning_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\HudPicHolder_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\HudPicHolder.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\HazeMarker.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\HazeMarker_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\GradientMarker.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\GradientMarker_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\FogMarker_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\FogMarker.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\Fireworks.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\Fireworks_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\EnvironmentParticlesHolder.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\EnvironmentParticlesHolder_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\Effector.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\Effector_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\EffectMarker.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\EffectMarker_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\Debris.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\Debris_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\CrateBus.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\CrateBus_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\BloodSpray_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\BloodSpray.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\BlendController.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\BlendController_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\BasicEffects.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="Effects\BasicEffects_tables.h">
      <Filter>Header Files\Effects headers</Filter>
    </ClInclude>
    <ClInclude Include="AI\Watcher.h">
      <Filter>Header Files\AI headers</Filter>
    </ClInclude>
    <ClInclude Include="AI\Watcher_tables.h">
      <Filter>Header Files\AI headers</Filter>
    </ClInclude>
    <ClInclude Include="AI\TacticsHolder.h">
      <Filter>Header Files\AI headers</Filter>
    </ClInclude>
    <ClInclude Include="AI\TacticsHolder_tables.h">
      <Filter>Header Files\AI headers</Filter>
    </ClInclude>
    <ClInclude Include="AI\TacticsChanger_tables.h">
      <Filter>Header Files\AI headers</Filter>
    </ClInclude>
    <ClInclude Include="AI\TacticsChanger.h">
      <Filter>Header Files\AI headers</Filter>
    </ClInclude>
    <ClInclude Include="AI\Spinner.h">
      <Filter>Header Files\AI headers</Filter>
    </ClInclude>
    <ClInclude Include="AI\Spinner_tables.h">
      <Filter>Header Files\AI headers</Filter>
    </ClInclude>
    <ClInclude Include="AI\Reminder.h">
      <Filter>Header Files\AI headers</Filter>
    </ClInclude>
    <ClInclude Include="AI\Reminder_tables.h">
      <Filter>Header Files\AI headers</Filter>
    </ClInclude>
    <ClInclude Include="AI\NavigationMarker_tables.h">
      <Filter>Header Files\AI headers</Filter>
    </ClInclude>
    <ClInclude Include="AI\NavigationMarker.h">
      <Filter>Header Files\AI headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\ProjectileBase.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\ProjectileBase_tables.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Models\EnvironmentBase.h">
      <Filter>Header Files\Models headers</Filter>
    </ClInclude>
    <ClInclude Include="Models\EnvironmentBase_tables.h">
      <Filter>Header Files\Models headers</Filter>
    </ClInclude>
    <ClInclude Include="Models\EnvironmentMarker.h">
      <Filter>Header Files\Models headers</Filter>
    </ClInclude>
    <ClInclude Include="Models\EnvironmentMarker_tables.h">
      <Filter>Header Files\Models headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerController.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerController_tables.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\SpectatorPawn.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\SpectatorPawn_tables.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerPawn.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Players\PlayerPawn_tables.h">
      <Filter>Header Files\Players headers</Filter>
    </ClInclude>
    <ClInclude Include="Light\Light.h">
      <Filter>Header Files\Light headers</Filter>
    </ClInclude>
    <ClInclude Include="Light\Light_tables.h">
      <Filter>Header Files\Light headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\TreasureItem.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Items\TreasureItem_tables.h">
      <Filter>Header Files\Items headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\EnergyBeam.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Weapons\EnergyBeam_tables.h">
      <Filter>Header Files\Weapons headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Catman.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Catman_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Cyborg.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Cyborg_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\CyborgBike.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\CyborgBike_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Dragonman.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Dragonman_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Fishman.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Fishman_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Huanman.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Huanman_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Mamut.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Mamut_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Mamutman.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Mamutman_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Mantaman.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\Mantaman_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\RobotDriving.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\RobotDriving_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\RobotFlying.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Characters\RobotFlying_tables.h">
      <Filter>Header Files\Characters headers</Filter>
    </ClInclude>
    <ClInclude Include="Models\MovableSkaModel.h">
      <Filter>Header Files\Models headers</Filter>
    </ClInclude>
    <ClInclude Include="Models\MovableSkaModel_tables.h">
      <Filter>Header Files\Models headers</Filter>
    </ClInclude>
  </ItemGroup>
  <ItemGroup>
    <CustomBuild Include="Global.es">
      <Filter>Class Files</Filter>
    </CustomBuild>
    <CustomBuild Include="LastFileID.txt">
      <Filter>Class Files</Filter>
    </CustomBuild>
    <CustomBuild Include="Items\AmmoItem.es">
      <Filter>Class Files\Items</Filter>
    </CustomBuild>
    <CustomBuild Include="Items\AmmoPack.es">
      <Filter>Class Files\Items</Filter>
    </CustomBuild>
    <CustomBuild Include="Items\ArmorItem.es">
      <Filter>Class Files\Items</Filter>
    </CustomBuild>
    <CustomBuild Include="Items\Item.es">
      <Filter>Class Files\Items</Filter>
    </CustomBuild>
    <CustomBuild Include="Items\KeyItem.es">
      <Filter>Class Files\Items</Filter>
    </CustomBuild>
    <CustomBuild Include="Items\MessageItem.es">
      <Filter>Class Files\Items</Filter>
    </CustomBuild>
    <CustomBuild Include="Items\PowerUpItem.es">
      <Filter>Class Files\Items</Filter>
    </CustomBuild>
    <CustomBuild Include="Items\WeaponItem.es">
      <Filter>Class Files\Items</Filter>
    </CustomBuild>
    <CustomBuild Include="Items\HealthItem.es">
      <Filter>Class Files\Items</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\CrateRider.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Demon.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Devil.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\DevilMarker.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Elemental.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\ExotechLarva.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\ExotechLarvaBattery.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\ExotechLarvaCharger.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Eyeman.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Fish.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Gizmo.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Grunt.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\GruntSka.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Guffy.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Headman.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Santa.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Scorpman.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Summoner.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\SummonerMarker.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Walker.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Werebull.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Models\ModelHolder3.es">
      <Filter>Class Files\Models</Filter>
    </CustomBuild>
    <CustomBuild Include="Models\ModelDestruction.es">
      <Filter>Class Files\Models</Filter>
    </CustomBuild>
    <CustomBuild Include="Models\ModelHolder.es">
      <Filter>Class Files\Models</Filter>
    </CustomBuild>
    <CustomBuild Include="Models\ModelHolder2.es">
      <Filter>Class Files\Models</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\AirElemental.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Beast.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\BigHead.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Boneman.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\CannonRotating.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\CannonStatic.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\ChainsawFreak.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\EnemyBase.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\EnemyDive.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\EnemyFly.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\EnemyMarker.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\EnemyRunInto.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Woman.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Terrain.es">
      <Filter>Class Files</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\WorldLink.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\Copier.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\Camera.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\CameraMarker.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\AreaMarker.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\AnimationChanger.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\AnimationHub.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\BackgroundViewer.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Weapons\AirShockwave.es">
      <Filter>Class Files\Weapons</Filter>
    </CustomBuild>
    <CustomBuild Include="Weapons\Bullet.es">
      <Filter>Class Files\Weapons</Filter>
    </CustomBuild>
    <CustomBuild Include="Weapons\BallProjectile.es">
      <Filter>Class Files\Weapons</Filter>
    </CustomBuild>
    <CustomBuild Include="Weapons\DevilProjectile.es">
      <Filter>Class Files\Weapons</Filter>
    </CustomBuild>
    <CustomBuild Include="Weapons\Flame.es">
      <Filter>Class Files\Weapons</Filter>
    </CustomBuild>
    <CustomBuild Include="Weapons\LarvaOffspring.es">
      <Filter>Class Files\Weapons</Filter>
    </CustomBuild>
    <CustomBuild Include="Weapons\Projectile.es">
      <Filter>Class Files\Weapons</Filter>
    </CustomBuild>
    <CustomBuild Include="Weapons\SeriousBomb.es">
      <Filter>Class Files\Weapons</Filter>
    </CustomBuild>
    <CustomBuild Include="Weapons\SpawnerProjectile.es">
      <Filter>Class Files\Weapons</Filter>
    </CustomBuild>
    <CustomBuild Include="Weapons\Twister.es">
      <Filter>Class Files\Weapons</Filter>
    </CustomBuild>
    <CustomBuild Include="Weapons\ElementalProjectile.es">
      <Filter>Class Files\Weapons</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\Counter.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\CreditsHolder.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\Damager.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\DebugEntityStatesDisplay.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\DoorController.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\EnemyCounter.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\EnemySpawner.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\Eruptor.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\GravityMarker.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\GravityRouter.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\Marker.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\MessageHolder.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\MusicChanger.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\MusicHolder.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\ScrollHolder.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\Shooter.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\SoundHolder.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\Switch.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\Teleport.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\TimeController.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\TouchField.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\Trigger.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\VoiceHolder.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\WatchPlayers.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Tools\WorldInfo.es">
      <Filter>Class Files\Tools</Filter>
    </CustomBuild>
    <CustomBuild Include="Brushes\WorldBase.es">
      <Filter>Class Files\Brushes</Filter>
    </CustomBuild>
    <CustomBuild Include="Brushes\Ship.es">
      <Filter>Class Files\Brushes</Filter>
    </CustomBuild>
    <CustomBuild Include="Brushes\ShipMarker.es">
      <Filter>Class Files\Brushes</Filter>
    </CustomBuild>
    <CustomBuild Include="Brushes\Pendulum.es">
      <Filter>Class Files\Brushes</Filter>
    </CustomBuild>
    <CustomBuild Include="Brushes\MovingBrush.es">
      <Filter>Class Files\Brushes</Filter>
    </CustomBuild>
    <CustomBuild Include="Brushes\MovingBrushMarker.es">
      <Filter>Class Files\Brushes</Filter>
    </CustomBuild>
    <CustomBuild Include="Brushes\Bouncer.es">
      <Filter>Class Files\Brushes</Filter>
    </CustomBuild>
    <CustomBuild Include="Brushes\DestroyableArchitecture.es">
      <Filter>Class Files\Brushes</Filter>
    </CustomBuild>
    <CustomBuild Include="Players\GameInfo.es">
      <Filter>Class Files\Players</Filter>
    </CustomBuild>
    <CustomBuild Include="Players\PlayerActionMarker.es">
      <Filter>Class Files\Players</Filter>
    </CustomBuild>
    <CustomBuild Include="Players\PlayerAnimator.es">
      <Filter>Class Files\Players</Filter>
    </CustomBuild>
    <CustomBuild Include="Players\PlayerInventory.es">
      <Filter>Class Files\Players</Filter>
    </CustomBuild>
    <CustomBuild Include="Players\PlayerMarker.es">
      <Filter>Class Files\Players</Filter>
    </CustomBuild>
    <CustomBuild Include="Players\PlayerView.es">
      <Filter>Class Files\Players</Filter>
    </CustomBuild>
    <CustomBuild Include="Players\PlayerWeapon.es">
      <Filter>Class Files\Players</Filter>
    </CustomBuild>
    <CustomBuild Include="Players\PlayerWeaponsEffects.es">
      <Filter>Class Files\Players</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\BasicEffects.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\BlendController.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\BloodSpray.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\CrateBus.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\Debris.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\EffectMarker.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\Effector.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\EnvironmentParticlesHolder.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\Fireworks.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\FogMarker.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\GradientMarker.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\HazeMarker.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\HudPicHolder.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\Lightning.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\MeteorShower.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\MirrorMarker.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\ParticleCloudsHolder.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\ParticleCloudsMarker.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\ParticlesHolder.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\PhotoAlbum.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\PyramidSpaceShip.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\PyramidSpaceShipMarker.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\RollingStone.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\StormController.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\TextFXHolder.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="Effects\WorldSettingsController.es">
      <Filter>Class Files\Effects</Filter>
    </CustomBuild>
    <CustomBuild Include="AI\Watcher.es">
      <Filter>Class Files\AI</Filter>
    </CustomBuild>
    <CustomBuild Include="AI\NavigationMarker.es">
      <Filter>Class Files\AI</Filter>
    </CustomBuild>
    <CustomBuild Include="AI\Reminder.es">
      <Filter>Class Files\AI</Filter>
    </CustomBuild>
    <CustomBuild Include="AI\Spinner.es">
      <Filter>Class Files\AI</Filter>
    </CustomBuild>
    <CustomBuild Include="AI\TacticsChanger.es">
      <Filter>Class Files\AI</Filter>
    </CustomBuild>
    <CustomBuild Include="AI\TacticsHolder.es">
      <Filter>Class Files\AI</Filter>
    </CustomBuild>
    <CustomBuild Include="Weapons\ProjectileBase.es">
      <Filter>Class Files\Weapons</Filter>
    </CustomBuild>
    <CustomBuild Include="Models\EnvironmentBase.es">
      <Filter>Class Files\Models</Filter>
    </CustomBuild>
    <CustomBuild Include="Models\EnvironmentMarker.es">
      <Filter>Class Files\Models</Filter>
    </CustomBuild>
    <CustomBuild Include="Players\PlayerController.es">
      <Filter>Class Files\Players</Filter>
    </CustomBuild>
    <CustomBuild Include="Players\SpectatorPawn.es">
      <Filter>Class Files\Players</Filter>
    </CustomBuild>
    <CustomBuild Include="Players\PlayerPawn.es">
      <Filter>Class Files\Players</Filter>
    </CustomBuild>
    <CustomBuild Include="Light\Light.es">
      <Filter>Class Files\Light</Filter>
    </CustomBuild>
    <CustomBuild Include="Weapons\EnergyBeam.es">
      <Filter>Class Files\Weapons</Filter>
    </CustomBuild>
    <CustomBuild Include="Weapons\AirWave.es">
      <Filter>Class Files\AI</Filter>
    </CustomBuild>
    <CustomBuild Include="Models\MovableSkaModel.es">
      <Filter>Class Files\Models</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Catman.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Cyborg.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\CyborgBike.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Dragonman.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Huanman.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Fishman.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Mantaman.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Mamutman.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\Mamut.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\RobotDriving.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Characters\RobotFlying.es">
      <Filter>Class Files\Characters</Filter>
    </CustomBuild>
    <CustomBuild Include="Items\TreasureItem.es">
      <Filter>Class Files\Items</Filter>
    </CustomBuild>
  </ItemGroup>
</Project>